| Home | Libraries | People | FAQ | More

##### basic_static_string::append (8 of 9 overloads)

Append to the string.

###### Synopsis

    template<
        typename T>
    constexpr basic_static_string&
    append(
        const T& t);

###### Description

Appends `sv` to the end of the string, where `sv` is `string_view_type(t)`.

###### Exception Safety

Strong guarantee.

###### Template Parameters

Type | Description
--- | ---
`T` | The type of the object to convert.

###### Constraints

    std::is_convertible<T const&, string_view>::value &&
    !std::is_convertible<T const&, char const*>::value

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`t` | The string to append.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `size() + sv.size() > max_size()`